{
  "format_version": "1.12",
  "minecraft:recipe_shaped": {
    "description": {
    "identifier": "addon:m7a3"
    },
    "tags": [ "crafting_table" ],
    "pattern": [
      " X ",
      "XZX",
      "YZY"
    ],
    "key": {
      "X": {
        "item": "minecraft:iron_ingot"
      },
      "Y": {
        "item": "minecraft:dye",
        "data": 19
      },
      "Z": {
        "item": "addon:sulphur_powder"
      }
    },
    "result": {
      "item": "addon:m7a3"
    }
  }
}